> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-uddatepicker.md).

# New-UDDatePicker

### Sinopsis

Crea un nuevo selector de fecha.

### Sintaxis

```powershell
New-UDDatePicker [[-Id] <String>] [[-Label] <String>] [[-Variant] <String>] [-DisableToolbar] [[-OnChange] <Endpoint>] [[-Format] <String>] [[-Value] <DateTime>] [[-Locale] <String>] [[-ClassName] <String>] [[-MinimumDate] <DateTime>] [[-MaximumDate] <DateTime>] [[-TimeZone] <Object>] [-Disabled] [[-Views] <String[]>] [-ShowTime] [<CommonParameters>]
```

### Descripción

Crea un nuevo selector de fecha. Los selectores de fecha se pueden usar de forma independiente o dentro de New-UDForm.

### Parámetros

#### -Id

El ID del componente. Por defecto es un GUID aleatorio.

```
Required?                    false
Position?                    1
Default value                [Guid]::NewGuid().ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Label

La etiqueta que se muestra junto al selector de fecha.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

La variante de tema que se aplica al selector de fecha.

```
Required?                    false
Position?                    3
Default value                inline
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -DisableToolbar [<SwitchParameter>]
        Disables the date picker toolbar.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnChange

Un bloque de script que se llama con la fecha seleccionada. La variable $EventData será la fecha seleccionada.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Format

El formato de la fecha cuando se selecciona.

```
Required?                    false
Position?                    5
Default value                MM/DD/YYYY
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Value

El valor actual del selector de fecha.

```
Required?                    false
Position?                    6
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Locale

Cambia el idioma del selector de fecha.

```
Required?                    false
Position?                    7
Default value                en
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Una clase CSS que se aplica al selector de fecha.

```
Required?                    false
Position?                    8
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MinimumDate

La fecha mínima que se puede seleccionar.

```
Required?                    false
Position?                    9
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MaximumDate

La fecha máxima que se puede seleccionar.

```
Required?                    false
Position?                    10
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -TimeZone La zona horaria que se usa para el selector de fecha. Debe ser una cadena de zona horaria IANA.Required?                    falsePosition?                    11Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Disabled \[\<SwitchParameter>]        Disables the date picker.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-Views \<String\[]>Las vistas que se muestran en el selector de fecha. Los valores válidos son: "day", "year", "month"Required?                    falsePosition?                    12Default value                @("day")Accept pipeline input?       falseAliasesAccept wildcard characters?  false    -ShowTime \[\<SwitchParameter>]        Show time in the date picker.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Salidas--------------------------> EXAMPLE 1 --------------------------PS >New-UDDatePicker -Id 'datepicker1' -Value '1-2-2020'Basic date picker|Creates a new date picker with the default date value.-------------------------- EXAMPLE 2 --------------------------PS >New-UDDatePicker -Id 'datepicker2' -Value '1-2-2020' -OnChange {PS >    Show-UDToast -Message "Date selected: $EventData"PS > }Date picker with OnChange|Creates a new date picker with the default date value and an OnChange script block.-------------------------- EXAMPLE 3 --------------------------PS >New-UDDatePicker -Id 'datepicker3' -Value '1-2-2020' -Variant staticStatic date picker|Creates a new date picker with the default date value and the static variant.-------------------------- EXAMPLE 4 --------------------------PS >New-UDDatePicker -Id 'datepicker4' -Value '1-2-2020' -Format 'dd/MM/yyyy'Date picker with custom format|Creates a new date picker with the default date value and a custom format.-------------------------- EXAMPLE 5 --------------------------PS >New-UDDatePicker -Id 'datepicker5' -Value '1-2-2020' -Locale 'de'Date picker with German locale|Creates a new date picker with the default date value and a German locale.-------------------------- EXAMPLE 6 --------------------------PS >New-UDDatePicker -Id 'datepicker6' -Value '1-2-2020' -DisableToolbarDate picker with disabled toolbar|Creates a new date picker with the default date value and a disabled toolbar.-------------------------- EXAMPLE 7 --------------------------PS >New-UDDatePicker -Id 'datepicker7' -Value '1-2-2020' -MinimumDate '1-1-2020'Date picker with minimum date|Creates a new date picker with the default date value and a minimum date.-------------------------- EXAMPLE 8 --------------------------PS >New-UDDatePicker -Id 'datepicker8' -Value '1-2-2020' -MaximumDate '1-1-2021'Date picker with maximum date|Creates a new date picker with the default date value and a maximum date.-------------------------- EXAMPLE 9 --------------------------PS >New-UDDatePicker -Id 'datepicker9' -Value '1-2-2020' -TimeZone 'America/Toronto'Date picker with time zone|Creates a new date picker with the default date value and a time zone.-------------------------- EXAMPLE 10 --------------------------PS >New-UDDatePicker -Id 'datepicker10' -Value '1-2-2020' -DisabledDisabled date picker|Creates a new date picker with the default date value and disabled.-------------------------- EXAMPLE 11 --------------------------PS >New-UDDatePicker -Id 'datepicker11' -Value '1-2-2020' -Views @('day', 'year')Date picker with views|Creates a new date picker with the default date value and only the day and year views.-------------------------- EXAMPLE 12 --------------------------PS >New-UDDatePicker -Id 'datepicker12' -Value '1-2-2020' -ShowTime -Views @('day', 'year', 'hours', 'minutes')Date picker with time|Creates a new date picker with the default date value and time.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-uddatepicker.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
